pydo.domains.get_record()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.domains.get_record(domain_name="example.com", domain_record_id=3352896)
Returns JSONRaises HttpResponseError

Description

To retrieve a specific domain record, send a GET request to /v2/domains/{domain_name}/records/{domain_record_id}.

Parameters

domain_name string required

The name of the domain itself.

domain_record_id integer required

The unique identifier of the domain record.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.domains.get_record(domain_name="example.com", domain_record_id=3352896)

Response Example

Show Response Example
{
  "domain_record": {
    "id": 3352896,
    "type": "A",
    "name": "blog",
    "data": "162.10.66.0",
    "priority": null,
    "port": null,
    "ttl": 1800,
    "weight": null,
    "flags": null,
    "tag": null
  }
}

More Information

See /v2/domains/{domain_name}/records/{domain_record_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.